Subject: Re: bug#77257: inhibit-message should inhibit echo area clearing too

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Mar 2025 08:12:04 +0200

> From: Ship Mints <[email-masked]>
> Date: Wed, 26 Mar 2025 15:40:02 -0400
> Cc: Eli Zaretskii <[email-masked]>, Daniel Colascione <[email-masked]>, [email-masked]
> 
> On Wed, Mar 26, 2025 at 3:22 PM Stefan Monnier via Bug reports for GNU Emacs, the Swiss army knife of
> text editors <[email-masked]> wrote:
> 
>  >> (let ((inhibit-message t)) (message "blah")) has the effect of clearing
>  >> the echo area.  I'd expect the semantic of inhibit-message to be
>  >> preventing all visible side effects of message --- not just some
>  >> of them.
>  >
>  > If we disable clearing the echo area in that case, should we also
>  > refrain from running echo-area-clear-hook?
>  >
>  > Stefan, do you see any potential problems in inhibiting clearing of
>  > the echo area when inhibit-message is bound to a non-nil value?
> 
>  I'm not sufficiently familiar with the internals of `message` to have
>  a firm opinion, but it seems to make sense to inhibit *all* the effects.
> 
> I bind (message-log-max nil) when I want message to be super quiet.

That's unrelated: it controls the logging of messages in the
*Messages* buffer, not their display.  Binding inhibit-message non-nil
doesn't affect the logging in *Messages* in any way, nor should it.